This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 835755 - [as7] Unused custom component for webservices subsystem
[as7] Unused custom component for webservices subsystem
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 835710
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-06-27 00:05 EDT by Stefan Negrea
Modified: 2013-09-03 11:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 835710
Environment:
Last Closed: 2013-09-03 11:06:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-06-27 00:05:59 EDT
+++ This bug was initially created as a clone of Bug #835710 +++

Webservices subsystem has a custom component (WebservicesComponent) in the AS7 plugin but no custom code gets executed due to resource configuration. 


The component can be removed from the code and the subsystem switched to use generic components. This will simplify the plugin structure and remove unused code.

--- Additional comment from snegrea@redhat.com on 2012-06-27 00:05:19 EDT ---

Removed WebservicesComoponent class and moved the two resources using it to the generic BaseComponent.
Comment 1 Stefan Negrea 2012-07-30 17:07:16 EDT
release/jon3.1.x branch commit:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=3bcc16878f52292ed2f254fdedee3c76c4180393
Comment 2 John Sanda 2012-08-02 14:51:47 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Armine Hovsepyan 2012-08-13 07:56:15 EDT
Hi Stefan, 

could you please confirm that the two resources mentioned are "Recording-Endpoint-Config" and "Standard-Endpoint-Config".

Thanks in advance.
Armine H
Comment 4 Stefan Negrea 2012-08-13 10:02:33 EDT
There is no change in functionality for this subsystem. The change is not visible from the user perspective. The only way to test this is to make sure that all the Webservices functionality works as expected.
Comment 5 Armine Hovsepyan 2012-08-13 10:33:39 EDT
verified.

thanks Stefan.
Comment 6 Heiko W. Rupp 2013-09-03 11:06:36 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.